let url_Backend_dwinzo = `http://${process.env.REACT_APP_SERVER_REST_API_BASE_URL}`;

export const viewProject = async (
  organization: string,
  projectId: string,
  userId: string
) => {
  try {
    const response = await fetch(
      `${url_Backend_dwinzo}/api/V1/Project/${projectId}`,
      {
        method: "GET",
        headers: {
          Authorization: "Bearer <access_token>", // Replace with actual token
          "Content-Type": "application/json",
          token: localStorage.getItem("token") || "", // Coerce null to empty string
          refresh_token: localStorage.getItem("refreshToken") || "",
        },
      }
    );
    const newAccessToken = response.headers.get("x-access-token");
    if (newAccessToken) {
      //console.log("New token received:", newAccessToken);
      localStorage.setItem("token", newAccessToken);
    }

    if (!response.ok) {
      console.error("Failed to fetch");
    }

    return await response.json();
  } catch (error: any) {
    console.error("Failed to get asset image:", error);
    console.log(error.message);
  }
};
